#include "MenuTextDown_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextDown_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextDown_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_down;
}


std::shared_ptr<Entity> CreateMenuTextDown_Player1Keyboard()
{
	return std::make_shared<MenuTextDown_Player1Keyboard>();
}

